[arch-commits] Commit in xorg-xdm/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Nov 6 18:16:03 EST 2009


    Date: Friday, November 6, 2009 @ 18:16:02
  Author: jgc
Revision: 58289

Merged revisions 58285 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/xorg-xdm/trunk

........
  r58285 | jgc | 2009-11-06 23:56:00 +0100 (Fri, 06 Nov 2009) | 3 lines
  
  upgpkg: xorg-xdm 1.1.9-1
      Update to 1.1.9
  Disable xdm-auth support to workaround a bug in libx11 (FS#17016)
........

Modified:
  xorg-xdm/repos/extra-i686/	(properties)
  xorg-xdm/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   47 +++++++++++++++++++++++------------------------
 1 file changed, 23 insertions(+), 24 deletions(-)


Property changes on: xorg-xdm/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-xdm/trunk:1-36928
   + /xorg-xdm/trunk:1-58288

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-06 23:13:09 UTC (rev 58288)
+++ extra-i686/PKGBUILD	2009-11-06 23:16:02 UTC (rev 58289)
@@ -2,8 +2,8 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-xdm
-pkgver=1.1.8
-pkgrel=2
+pkgver=1.1.9
+pkgrel=1
 pkgdesc="X Display Manager"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
@@ -13,31 +13,30 @@
 backup=(etc/X11/xdm/Xaccess etc/X11/xdm/Xresources etc/X11/xdm/Xservers etc/X11/xdm/xdm-config etc/pam.d/xdm etc/X11/xdm/Xsetup_0 etc/X11/xdm/Xsession)
 options=('!libtool')
 source=(${url}/releases/individual/app/xdm-${pkgver}.tar.bz2
-	Xsession-loginshell.patch
-	Xsession-xsm.patch
-	xdm.pam
-        LICENSE)
-md5sums=('cc1816bc62a3722ad509373b0b7f30fe' '234ae568e7b22cbc09433bb396ff3d80'\
-         '2c30078c50bc653d72eb5114506eb313' '419d6289ba6f851135f5c70c0e3cbec4'\
-         'dbba206a043cabe3cd28199ad67e9cdc')
+        Xsession-loginshell.patch
+        Xsession-xsm.patch
+        xdm.pam)
+md5sums=('030ae4bd9b8d428749d68bfdf56ce8a5'
+         '234ae568e7b22cbc09433bb396ff3d80'
+         '2c30078c50bc653d72eb5114506eb313'
+         '419d6289ba6f851135f5c70c0e3cbec4')
 
 build() {
-  cd ${srcdir}/xdm-${pkgver}
-  patch -Np0 -i ${srcdir}/Xsession-loginshell.patch || return 1
-  patch -Np1 -i ${srcdir}/Xsession-xsm.patch || return 1
+  cd "${srcdir}/xdm-${pkgver}"
+  patch -Np0 -i "${srcdir}/Xsession-loginshell.patch" || return 1
+  patch -Np1 -i "${srcdir}/Xsession-xsm.patch" || return 1
   ./configure --prefix=/usr \
-              --disable-static \
-	      --disable-xprint \
-	      --with-xdmconfigdir=/etc/X11/xdm \
-	      --with-xdmscriptdir=/etc/X11/xdm \
-	      --with-pixmapdir=/usr/share/xdm/pixmaps || return 1
+      --disable-xdm-auth \
+      --disable-static \
+      --with-xdmconfigdir=/etc/X11/xdm \
+      --with-xdmscriptdir=/etc/X11/xdm \
+      --with-pixmapdir=/usr/share/xdm/pixmaps || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -m755 -d ${pkgdir}/etc/pam.d
-  install -m644 ${srcdir}/xdm.pam ${pkgdir}/etc/pam.d/xdm || return 1
-  install -D -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/etc/pam.d"
+  install -m644 "${srcdir}/xdm.pam" "${pkgdir}/etc/pam.d/xdm" || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/"
 
-  #Get rid of /usr/X11R6
-  cd ${pkgdir}/etc/X11/xdm
-  sed -i -e 's/\/X11R6//g' *
+  sed -i -e 's/\/X11R6//g' "${pkgdir}/etc/X11/xdm/"* || return 1
 }



More information about the arch-commits mailing list